#
# $Id: stepTheme.tcl,v 1.8 2004/02/04 02:42:43 jenglish Exp $
#
# Appearance settings for "Step" theme.
#

namespace eval Tile {

style definetheme step {

    set step_defaultBG $defaultBG ;#"#a0a0a0"
    set step_lightBG   $defaultBG
    set step_activeBG  $activeBG  ;#"#d0d0d0"
    set step_scrollBG  $defaultBG ;#"#aeb2c3"

    style default . -background $step_defaultBG
    style map . -background \
    	[list  disabled $step_defaultBG  active $step_activeBG]
    style map . -foreground  [list disabled #a3a3a3]

    style default TButton -padding "3m 0" -relief raised
    style map TButton -relief {
	{pressed !disabled} 	sunken
	{active !disabled} 	raised
    }
    style map TCheckbutton -indicatorrelief {
        {pressed !disabled}	sunken
        {}			raised
    }
    style map TRadiobutton -indicatorrelief {
        pressed			sunken
        {}			groove
    }
    style default TRadiobutton -indicatorcolor $step_lightBG

    style map TScrollbar -relief { pressed sunken  {} raised }
    style map TScrollbar -background \
    	[list  disabled $step_defaultBG  active $step_scrollBG] ;

    style default TProgress -background SteelBlue

    style default Tab.TNotebook -padding {3m 1m} -font ButtonFont 
    style map Tab.TNotebook -background \
    	[list selected $defaultBG active $activeBG {} $troughColor]

} }

